Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource
Interface CustomResourceSpecifier

All Superinterfaces:
  Cloneable, MetaDataObject, ResourceSpecifier, Serializable, XMLizable

    public interface CustomResourceSpecifier

extends ResourceSpecifier

A type of `ResourceSpecifier` that specifically names the Java class that should be created. This allows users to plug in their own custom resource implementations.

Method Summary
`Parameter[]` | `getParameters()` Gets parameters that may be read by the custom resource class when it is initialized.
`String` | `getResourceClassName()` Retrieves the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.
`void` | `setParameters(Parameter[] parameters)` Sets parameters that may be read by the custom resource class when it is initialized.
`void` | `setResourceClassName(String aResourceClassName)` Setss the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getResourceClassName

    String getResourceClassName()

  Retrieves the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.

  Returns:
    a fully-qualified Java class name. The named class should implement `Resource`.

### setResourceClassName

    void setResourceClassName(String aResourceClassName)

  Setss the name of the Java class that will be instantiated when one of the `UIMAFramework.produceXXX(ResourceSpecifier,...)` methods is called with this resource specifier.

  Parameters:
    `aResourceClassName` - a fully-qualified Java class name. The named class should implement `Resource`.

### getParameters

    Parameter[] getParameters()

  Gets parameters that may be read by the custom resource class when it is initialized.

  Returns:
    an array of parameters. This will never return `null`.

### setParameters

    void setParameters(Parameter[] parameters)

  Sets parameters that may be read by the custom resource class when it is initialized.

  Parameters:
    `parameters` - the Parameters to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.